Compile enabled classifiers into the live router config
curl --request POST \
--url https://api.example.com/api/airouter/classifiers/publish \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/airouter/classifiers/publish"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/airouter/classifiers/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"version": 123,
"config_path": "<string>",
"compiled_count": 123,
"skipped_embedding": 0
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}AI control plane
Compile enabled classifiers into the live router config
Bake the enabled keyword classifiers into the router YAML (as
keyword_rules) and write a new config version, so the router routes on
them. Embedding classifiers are reported but not yet emitted.
POST
/
api
/
airouter
/
classifiers
/
publish
Compile enabled classifiers into the live router config
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
Result of compiling enabled classifiers into the live router config.
Was this page helpful?

